pub mod common;

use cuddle_please_misc::VcsClient;
use tracing_test::traced_test;

use crate::common::get_test_data_path;

#[test]
#[traced_test]
fn test_vcs_get_noop() {
    let noop = VcsClient::new_noop();
    assert!(matches!(noop, VcsClient::Noop {}));
}

#[test]
#[traced_test]
fn test_vcs_get_git_found() {
    let testdata = get_test_data_path("git-found");
    let git = VcsClient::new_git(&testdata).unwrap();
    assert_eq!(git, VcsClient::Git { source: testdata })
}
